## visad
Class VisADSwitch

    java.lang.Object
      visad.VisADSceneGraphObject
          visad.VisADGroup
              visad.VisADSwitch

All Implemented Interfaces:
  Serializable

public class VisADSwitch
extends VisADGroup

VisADSwitch stands in for j3d.Switch and is Serializable.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.VisADSceneGraphObject
`parent`

Constructor Summary
`VisADSwitch()`

Method Summary
`VisADSceneGraphObject` `getSelectedChild()`
`Set` `getSet()`
`int` `getWhichChild()`
`void` `setSet(Set s)`
`void` `setWhichChild(int index)`

Methods inherited from class visad.VisADGroup
`addChild, detachChild, getChild, getChildren, numChildren, removeChild, setChild, toString`

Methods inherited from class visad.VisADSceneGraphObject
`detach`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VisADSwitch

    public VisADSwitch()

Method Detail

### getWhichChild

    public int getWhichChild()

### setWhichChild

    public void setWhichChild(int index)

### getSelectedChild

    public VisADSceneGraphObject getSelectedChild()

### setSet

    public void setSet(Set s)

### getSet

    public Set getSet()